static const char *const multilib_raw[] = {
". !mthumb !marm !march=armv6s-m !march=armv7-m !march=armv7e-m !march=armv7 !mfloat-abi=softfp !mfloat-abi=hard !mfpu=fpv4-sp-d16 !mfpu=vfpv3-d16;",
"thumb mthumb !marm !march=armv6s-m !march=armv7-m !march=armv7e-m !march=armv7 !mfloat-abi=softfp !mfloat-abi=hard !mfpu=fpv4-sp-d16 !mfpu=vfpv3-d16;",
"arm !mthumb marm !march=armv6s-m !march=armv7-m !march=armv7e-m !march=armv7 !mfloat-abi=softfp !mfloat-abi=hard !mfpu=fpv4-sp-d16 !mfpu=vfpv3-d16;",
"fpu !mthumb !marm !march=armv6s-m !march=armv7-m !march=armv7e-m !march=armv7 !mfloat-abi=softfp mfloat-abi=hard !mfpu=fpv4-sp-d16 !mfpu=vfpv3-d16;",
"armv6-m mthumb !marm march=armv6s-m !march=armv7-m !march=armv7e-m !march=armv7 !mfloat-abi=softfp !mfloat-abi=hard !mfpu=fpv4-sp-d16 !mfpu=vfpv3-d16;",
"armv7-m mthumb !marm !march=armv6s-m march=armv7-m !march=armv7e-m !march=armv7 !mfloat-abi=softfp !mfloat-abi=hard !mfpu=fpv4-sp-d16 !mfpu=vfpv3-d16;",
"armv7e-m mthumb !marm !march=armv6s-m !march=armv7-m march=armv7e-m !march=armv7 !mfloat-abi=softfp !mfloat-abi=hard !mfpu=fpv4-sp-d16 !mfpu=vfpv3-d16;",
"armv7-ar/thumb mthumb !marm !march=armv6s-m !march=armv7-m !march=armv7e-m march=armv7 !mfloat-abi=softfp !mfloat-abi=hard !mfpu=fpv4-sp-d16 !mfpu=vfpv3-d16;",
"armv7e-m/softfp mthumb !marm !march=armv6s-m !march=armv7-m march=armv7e-m !march=armv7 mfloat-abi=softfp !mfloat-abi=hard mfpu=fpv4-sp-d16 !mfpu=vfpv3-d16;",
"armv7e-m/fpu mthumb !marm !march=armv6s-m !march=armv7-m march=armv7e-m !march=armv7 !mfloat-abi=softfp mfloat-abi=hard mfpu=fpv4-sp-d16 !mfpu=vfpv3-d16;",
"armv7-ar/thumb/softfp mthumb !marm !march=armv6s-m !march=armv7-m !march=armv7e-m march=armv7 mfloat-abi=softfp !mfloat-abi=hard !mfpu=fpv4-sp-d16 mfpu=vfpv3-d16;",
"armv7-ar/thumb/fpu mthumb !marm !march=armv6s-m !march=armv7-m !march=armv7e-m march=armv7 !mfloat-abi=softfp mfloat-abi=hard !mfpu=fpv4-sp-d16 mfpu=vfpv3-d16;",
NULL
};

static const char *const multilib_reuse_raw[] = {
"armv7-ar/thumb !mthumb marm !march=armv6s-m !march=armv7-m !march=armv7e-m march=armv7 !mfloat-abi=softfp !mfloat-abi=hard !mfpu=fpv4-sp-d16 !mfpu=vfpv3-d16;",
"armv7-ar/thumb/softfp !mthumb marm !march=armv6s-m !march=armv7-m !march=armv7e-m march=armv7 mfloat-abi=softfp !mfloat-abi=hard !mfpu=fpv4-sp-d16 mfpu=vfpv3-d16;",
"armv7-ar/thumb/fpu !mthumb marm !march=armv6s-m !march=armv7-m !march=armv7e-m march=armv7 !mfloat-abi=softfp mfloat-abi=hard !mfpu=fpv4-sp-d16 mfpu=vfpv3-d16;",
NULL
};

static const char *const multilib_matches_raw[] = {
"mcpu=cortex-m0 march=armv6s-m;",
"mcpu=cortex-m0plus march=armv6s-m;",
"mcpu=cortex-m1 march=armv6s-m;",
"march=armv6-m march=armv6s-m;",
"mcpu=cortex-m3 march=armv7-m;",
"mcpu=cortex-m4 march=armv7e-m;",
"mcpu=cortex-m7 march=armv7e-m;",
"march=armv7-r march=armv7;",
"march=armv7-a march=armv7;",
"mcpu=cortex-r4 march=armv7;",
"mcpu=cortex-r4f march=armv7;",
"mcpu=cortex-r5 march=armv7;",
"mcpu=cortex-r7 march=armv7;",
"mcpu=cortex-a5 march=armv7;",
"mcpu=cortex-a7 march=armv7;",
"mcpu=cortex-a8 march=armv7;",
"mcpu=cortex-a9 march=armv7;",
"mcpu=cortex-a15 march=armv7;",
"mfpu=fpv5-sp-d16 mfpu=fpv4-sp-d16;",
"mfpu=fpv5-d16 mfpu=fpv4-sp-d16;",
"mfpu=vfpv3 mfpu=vfpv3-d16;",
"mfpu=vfpv3-fp16 mfpu=vfpv3-d16;",
"mfpu=vfpv3-d16-fp16 mfpu=vfpv3-d16;",
"mfpu=vfpv3xd mfpu=vfpv3-d16;",
"mfpu=vfpv3xd-fp16 mfpu=vfpv3-d16;",
"mfpu=vfpv4 mfpu=vfpv3-d16;",
"mfpu=vfpv4-d16 mfpu=vfpv3-d16;",
"mfpu=neon mfpu=vfpv3-d16;",
"mfpu=neon-fp16 mfpu=vfpv3-d16;",
"mfpu=neon-vfpv4 mfpu=vfpv3-d16;",
"mthumb mthumb;",
"marm marm;",
"march=armv6s-m march=armv6s-m;",
"march=armv7-m march=armv7-m;",
"march=armv7e-m march=armv7e-m;",
"march=armv7 march=armv7;",
"mfloat-abi=softfp mfloat-abi=softfp;",
"mfloat-abi=hard mfloat-abi=hard;",
"mfpu=fpv4-sp-d16 mfpu=fpv4-sp-d16;",
"mfpu=vfpv3-d16 mfpu=vfpv3-d16;",
NULL
};

static const char *multilib_extra = "";

static const char *const multilib_exclusions_raw[] = {
NULL
};

static const char *multilib_options = "mthumb/marm march=armv6s-m/march=armv7-m/march=armv7e-m/march=armv7 mfloat-abi=softfp/mfloat-abi=hard mfpu=fpv4-sp-d16/mfpu=vfpv3-d16";
